Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.collections.triggers
Class TriggerStatePerThread.TriggerState

    java.lang.Object
      org.exist.collections.triggers.TriggerStatePerThread.TriggerState

Enclosing class:
  TriggerStatePerThread

public static class TriggerStatePerThread.TriggerState
extends java.lang.Object

Constructor Summary
`TriggerStatePerThread.TriggerState(int state)`

Method Summary
`DocumentTrigger` | `getTrigger()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerStatePerThread.TriggerState

    public TriggerStatePerThread.TriggerState(int state)

Method Detail

### getTrigger

    public DocumentTrigger getTrigger()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.